Skip to content

Retrieve Transaction Search Fields

Retrieves the list of fields that can be used for searching/filtering transactions via the /trancore/transactions endpoint.

URL test:

    https://test.lightcms.io/trancore/v1/trancore/transactions/searchFields

Method:

GET

Path items:

/trancore/transactions/searchFields

Parameters:

None (the searchable fields are returned in the response body).

Example:

    curl -X GET "https://test.lightcms.io/trancore/v1/trancore/transactions/searchFields" \
         -H 'accept: */*'

Responses:

200 - OK

Status Code: 200 OK

[
  {
    "code": "CARD_ID",
    "description": "cardId"
  },
  {
    "code": "MERCHANT_ID",
    "description": "merchantId"
  },
  {
    "code": "TERMINAL_ID",
    "description": "terminalId"
  },
  {
    "code": "MCC",
    "description": "mcc"
  },
  {
    "code": "MCC_GROUP",
    "description": "mccGroup"
  },
  {
    "code": "RETRIEVAL_REFERENCE_NUMBER",
    "description": "retrievalReferenceNumber"
  },
  {
    "code": "TRANSACTION_DIRECTION",
    "description": "transactionDirection"
  },
  {
    "code": "TRANSACTION_ORIGINAL_CURRENCY",
    "description": "transactionOriginalCurrency"
  },
  {
    "code": "CARD_ENTRY_MODE",
    "description": "cardEntryMode"
  },
  {
    "code": "CARD_HOLDER_VERIFICATIONS",
    "description": "cardHolderVerifications"
  },
  {
    "code": "TOKEN_CATEGORY",
    "description": "tokenCategory"
  },
  {
    "code": "HOLD_EXPIRY_DATETIME",
    "description": "holdExpiryDatetime"
  },
  {
    "code": "POSTED_DATE",
    "description": "postedDate"
  },
  {
    "code": "SUB_MERCHANT_ID",
    "description": "subMerchantId"
  },
  {
    "code": "CARD_ACCEPTOR_NAME",
    "description": "cardAcceptorName"
  },
  {
    "code": "TOKEN_ID",
    "description": "tokenId"
  },
  {
    "code": "STATUS",
    "description": "status"
  },
  {
    "code": "CREATED_AT",
    "description": "createdAt"
  },
  {
    "code": "TRANSACTION_AMOUNT",
    "description": "transactionAmount"
  },
  {
    "code": "OLD_TRANSACTION_AMOUNT",
    "description": "oldTransactionAmount"
  },
  {
    "code": "TRANSACTION_AMOUNT_ISSUER_CURRENCY",
    "description": "cardholderBillingAmount"
  },
  {
    "code": "OLD_TRANSACTION_AMOUNT_ISSUER_CURRENCY",
    "description": "oldCardholderBillingAmount"
  }
]

Parameter Location Type Description
code root string Internal field identifier used in query parameters.
description root string Human‑readable name of the field (matches the database column).
500 - Internal error

Status Code: 500 Internal error

{
  "timestamp": "2025-07-22T13:09:02.348+02:00",
  "status": 500,
  "error": "Internal Server Error",
  "path": "/cms/v1/trancore/transactions/searchFields"
}

Parameter Location Type Description
timestamp root string ISO‑8601 timestamp when the error occurred.
status root integer HTTP status code (500).
error root string Short description of the error.
path root string The request path that caused the error.